# SourcePath: soundtouch/20220803dev
Summary: Sound processing library
Name:	 sony-target-dev-soundtouch
%define	pkgname	%{sony_tool_triplet}-%{sony_target_dialect}-dev-soundtouch
Version: 2.1.2
Release: 14000103
License: LGPL2+ 
URL: https://packages.ubuntu.com/source/focal/soundtouch
Source: soundtouch-%{version}.tar.gz
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Buildroot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_relocation}

%description
SoundTouch is a library for changing tempo, pitch and playback rate
of digital sound.
SoundStretch is a command-line application for changing tempo, pitch
and playback rates of WAV sound files. This program also
demonstrates how the "SoundTouch" library can be used to process
sound in own programs.


%package -n %{pkgname}
Summary: Sound processing library
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
SoundTouch is a library for changing tempo, pitch and playback rate
of digital sound.
SoundStretch is a command-line application for changing tempo, pitch
and playback rates of WAV sound files. This program also
demonstrates how the "SoundTouch" library can be used to process
sound in own programs.

%prep
%setup -q -n soundtouch-%{version}

%build
%sony_target_dev_setup
./bootstrap
%sony_target_dev_configure --enable-integer-samples
make

%install
rm -rf %{buildroot}
%sony_target_dev_install_setup
%sony_target_dev_makeinstall

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done

for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "pkgconfig" -a "$l" != "optinfo" ]; then
        ln -s ../..%{sony_target_devtool_lib_dir}/$l \
            %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
    fi
done
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/doc

%clean
rm -rf %{buildroot} 

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_lib_dir}/libSoundTouch.*
%{sony_target_dir}%{sony_target_dev_include_dir}/soundtouch/*
%{sony_target_dir}%{sony_target_dev_bin_dir}/soundstretch
%{sony_target_dir}%{sony_target_devtool_lib_dir}/pkgconfig/soundtouch.pc
%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/aclocal/soundtouch.m4


%changelog
* Thu Oct 20 2022 Sony Group Corporation
- Enabling integer samples in the configuration

* Mon Aug 22 2022 Sony Group Corporation
- Modified license details for soundtouch

* Tue Aug 02 2022 Sony Group Corporation
- Initial build
